#
# spec file for package python-sip (Version 4.10.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           python-sip
BuildRequires:  c++_compiler python python-devel
License:        GPLv2+
Group:          Development/Libraries/Python
Summary:        SIP tool to use python sip bindings
Version:        4.10.2
Release:        1.1
%define rversion %version
Url:            http://www.riverbankcomputing.com/software/sip/intro
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        sip-%{rversion}.tar.bz2
Patch0:         disable-rpaths.diff
Patch2:         fix-linking.diff
Patch3:         fix-linking25.diff
Patch4:         build-compare.diff
%py_requires

%description
SIP is a tool that makes it very easy to create Python bindings for C
and C++ libraries. It was originally developed to create PyQt, the
Python bindings for the Qt toolkit, but can be used to create bindings
for any C or C++ library.



Authors:
--------
    Riverbank Computing Limited


%package devel
License:        GPLv2+
Group:          Development/Libraries/Python
Summary:        SIP tool to create python bindings
Provides:       python-sip:/usr/bin/sip
Requires:       %name = %version
Requires:       c++_compiler python-devel

%description devel
SIP is a tool that makes it very easy to create Python bindings for C
and C++ libraries. It was originally developed to create PyQt, the
Python bindings for the Qt toolkit, but can be used to create bindings
for any C or C++ library.

This package contains all the developer tools you need to create your 
own sip bindings.


Authors:
--------
    Riverbank Computing Limited


%prep
%setup -q -n sip-%{rversion}
%patch0
%if %suse_version >1100
%patch2
%else
%patch3
%endif
%patch4

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export SUSE_ASNEEDED=0
python configure.py --debug CFLAGS+="$RPM_OPT_FLAGS" CXXFLAGS+="$RPM_OPT_FLAGS"
make %{?jobs:-j %jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/sip
sed -i 's/"doc" directory/"doc" directory of package %{name}-devel/' README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{py_sitedir}/sip.so

%files devel
%defattr(-,root,root)
%doc NEWS LICENSE doc
/usr/bin/sip
%{py_incdir}/sip.h
%{py_sitedir}/sipconfig.py
%{py_sitedir}/sipdistutils.py
/usr/share/sip

%changelog
* Tue Jun  8 2010 dmueller@suse.de
- update to 4.10.2:
  - A bug fix release.
* Wed May 19 2010 cmorve69@yahoo.es
- fix build-compare
* Fri Mar 26 2010 dmueller@suse.de
- update to 4.10.1:
  * Added the /NoCopy/ function and argument annotations.
* Fri Jan 15 2010 tittiatcoke@gmail.com
- update to 4.10
  * Added the sip.voidptr.ascapsule() method.
  * Added the -P command line option to build modules with
    "protected" redefined to "public" if supported by the platform.
    This can result in significantly smaller modules.
  * Added the -o command line option to automatically generate docstrings.
  * Added the -k command line option and /KeywordArgs/ and /NoKeywordArgs/
    function annotations to support keyword arguments.
  * Added the /Default/ exception annotation.
  * Added the /DocType/ argument, function, mapped type and variable annotations.
  * Added the /DocValue/ argument annotation.
  * Added the %%Docstring directive to specify explicit docstrings for classes,
    functions and methods.
  * Added sipError to %%MethodCode to allow user errors to be distinguished
    from interpreter errors.
  * Added sipBadCallableArg() to the C API.
  * Added support for configuring and building outside of the source tree.
* Tue Nov 24 2009 hpj@urpla.net
- update to 4.9.3:
  * A bug fix release.
* Fri Nov 20 2009 dmueller@suse.de
- update to 4.9.2:
  * A bug fix release.
* Fri Nov 20 2009 dmueller@suse.de
- add split-provides
* Sat Oct 24 2009 dmueller@suse.de
- update to 4.9.1:
  * A bug fix release.
* Mon Sep 28 2009 dmueller@suse.de
- update to 4.9:
  * support for __iter__ and __next__
  * the %%API directive
  * the /API/ annotation
  * sipIsAPIEnabled() has been added to the C API
  * sip.getapi() and sip.setapi() have been added to the Python API
  * sip.ispyowned() has been added to the Python API
  * mapped types can now act as a namespace for enums and static methods
  * the /Array/ annotation can now be applied to classes and mapped types
  * the /NoArgParser/ annotation can now be applied to methods as well as functions
  * the --arch flag was added to configure.py to specify which MacOS/X architectures are built
  * SIP is now also licensed under the GPL v2 and v3.
* Mon Aug 31 2009 beineri@opensuse.org
- fix plasmoids requiring python-devel to work (part of bnc#535057)
* Wed Aug  5 2009 hpj@urpla.net
- Fixed a crash with sipFindType() when the search happens to land on an
  unresolved external type.
* Thu Jul 30 2009 hpj@urpla.net
- update to 4.8.2:
  - Fixed the '/' operator for Python v3 and future import for Python v2.
  - Backported the /AllowNone/ class annotation from v4.9.
* Mon Jul  6 2009 hpj@urpla.net
- create a separated -devel package and include the nice documentation
* Wed Jun 17 2009 dmueller@suse.de
- update to 4.8.1:
  - Added support for defining a private assignment operator to suppress the
  possible generation of an assignment helper.
* Mon Jun  8 2009 beineri@opensuse.org
- update to 4.8 release:
  * support for Python v3
  * the ability to supply alternate super-types and meta-types
    for wrapped objects
  * documentation built using Sphinx
* Wed Jun  3 2009 dmueller@suse.de
- update to 20090601 snapshot fixing nested template handling
* Sun May 17 2009 beineri@opensuse.org
- update to 4.8 snapshot as of 20090430
* Fri Dec  5 2008 dmueller@suse.de
- update to 4.7.9:
  - Added the /Deprecated/ class and function annotation (based on a patch from
    Lorenzo Berni).
  - Templates now support instance variables and enums.
  - A Python int object can now be used whenever an enum is expected without
    needing to explicitly cast it using the enum's constructor.  The
    /Constrained/ argument annotation can be used to suppress this behaviour.
  - typedef type names are now used in string representations of types (e.g. in
    the names of mapped types) to reflect what the programmer sees rather than
    what the compiler sees.  The /NoTypeName/ typedef annotation can be used to
    suppress this behaviour.
  - The new handling of the typedef names was correctly using the real types for
    virtual handler arguments but not the return values.
* Sun Aug 10 2008 dmueller@suse.de
- update to 4.7.7:
  * C++ structs are now properly handled as a class with
  a default public  section
  * sip.dump() now includes the objects first child wrapper
* Tue May 27 2008 dmueller@suse.de
- update to 4.7.6:
  * generator fixes for being able to bind Qt 4.4
* Wed Feb 13 2008 dmueller@suse.de
- update to 4.7.4:
  * The build system handles the directory structure used by Leopard's Python
    installation.
  * Added support for /Transfer/ as a constructor ann
* Thu Dec 13 2007 dmueller@suse.de
- update to 4.7.3:
  * Added support for automatically generating missing complementary
    comparision operators.  Note that this introduces a potential compatibility
    problem - see the documentation for details.
  * Added the SingleShot argument annotation.
  * Added the TransferThis function annotation.
* Mon Oct  1 2007 stbinner@suse.de
- update to 4.7.1: minor bugfixes
* Fri Aug 17 2007 dmueller@suse.de
- remove conflict as it is now common base for qt 3.x
  and qt 4.x (#300041)
* Sun Aug 12 2007 dmueller@suse.de
- %%py_requires no longer has buildrequires
* Sat Aug 11 2007 dmueller@suse.de
- add conflict against python-qt 3.x versions
* Fri Aug  3 2007 dmueller@suse.de
- update to 4.7:
  * Added %%PickleCode to allow handwritten code to pickle a wrapped C++
    instance or C structure.
  * Added %%CompositeModule to create modules that are composites of ordinary
    modules.
  * Added %%ConsolidatedModule (and the -p command line option) to create
    modules that contain all the wrapper code on behalf of ordinary modules.
  * Added the dump() function to the sip module.
  * Added sipTransferBreak() to the SIP API.
  * Added support for /Transfer/ as a function annotation.
* Wed Apr 11 2007 dmueller@suse.de
- update to 4.6:
  * Added support for wchar_t.
  * The -g command line option releases the GIL whenever a call is made to the
  * wrapped library.
  * Added the /HoldGIL/ annotation to explicitly retain the GIL when calling a
    particular function in the wrapped library.
  * Added sipFindClass() and sipFindNamedEnum() to the public API.
  * /TransferThis/ may be specified more than once.
  * Added support for __truediv__ and __itruediv__.
* Fri Jan 26 2007 dmueller@suse.de
- Initial package (4.5.2)
